VERSION 5.00
Object = "{8C0CEB57-CCCE-11D4-803C-0080C72F5C98}#3.0#0"; "DDCDEM36.OCX"
Begin VB.Form frmMiniDDCl 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "DDClient mini demonstration"
   ClientHeight    =   2895
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   5085
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   2895
   ScaleWidth      =   5085
   StartUpPosition =   3  'Windows Default
   Begin VB.CheckBox chkAdvise 
      Alignment       =   1  'Right Justify
      Caption         =   "Advise loop established"
      Height          =   510
      Left            =   135
      TabIndex        =   10
      TabStop         =   0   'False
      Top             =   1485
      Width           =   1230
   End
   Begin DDCDem36.DDECL DDECL1 
      Left            =   585
      Top             =   2205
      _ExtentX        =   926
      _ExtentY        =   926
   End
   Begin VB.TextBox txtData 
      Height          =   1680
      Left            =   1620
      Locked          =   -1  'True
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   7
      Top             =   1125
      Width           =   3390
   End
   Begin VB.TextBox txtItem 
      Height          =   285
      Left            =   1620
      TabIndex        =   5
      Text            =   "Groups"
      Top             =   765
      Width           =   1725
   End
   Begin VB.TextBox txtTopic 
      Height          =   285
      Left            =   1620
      TabIndex        =   3
      Text            =   "Progman"
      Top             =   450
      Width           =   1725
   End
   Begin VB.TextBox txtService 
      Height          =   285
      Left            =   1620
      TabIndex        =   1
      Text            =   "Progman"
      Top             =   135
      Width           =   1725
   End
   Begin VB.CommandButton cbItem 
      Caption         =   "&Request data and start advise loop"
      Enabled         =   0   'False
      Height          =   510
      Left            =   3465
      Style           =   1  'Graphical
      TabIndex        =   9
      Top             =   540
      Width           =   1545
   End
   Begin VB.CommandButton cbConnect 
      Caption         =   "&Connect"
      Height          =   375
      Left            =   3465
      TabIndex        =   8
      Top             =   135
      Width           =   1545
   End
   Begin VB.Label Label4 
      Caption         =   "Item &data"
      Height          =   240
      Left            =   135
      TabIndex        =   6
      Top             =   1125
      Width           =   1320
   End
   Begin VB.Label Label3 
      Caption         =   "Item &name"
      Height          =   240
      Left            =   135
      TabIndex        =   4
      Top             =   787
      Width           =   1320
   End
   Begin VB.Label Label2 
      Caption         =   "&Topic"
      Height          =   240
      Left            =   135
      TabIndex        =   2
      Top             =   472
      Width           =   1320
   End
   Begin VB.Label Label1 
      Caption         =   "&Application name"
      Height          =   240
      Left            =   135
      TabIndex        =   0
      Top             =   157
      Width           =   1320
   End
End
Attribute VB_Name = "frmMiniDDCl"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Private Conv As DDCDem36.Conversation
Private ConvKey As String
Private AdviseKey As String
Private Sub cbConnect_Click()

If ConvKey <> DDECL1.FailedReturnString Then
    Set Conv = Nothing
    Call DDECL1.Disconnect(ConvKey)
    ConvKey = DDECL1.FailedReturnString
    AdviseKey = DDECL1.FailedReturnString
    chkAdvise.Value = 0
End If

ConvKey = DDECL1.Connect(txtService.Text, txtTopic.Text)
If ConvKey = DDECL1.FailedReturnString Then
    txtData.Text = "The converstion could not be established"
    cbItem.Enabled = False
    Exit Sub
End If

Set Conv = DDECL1.Conversations(ConvKey)
cbItem.Enabled = True
txtData.Text = "Converstion established"

End Sub
Private Sub cbItem_Click()

Dim DataObj As DDCDem36.DDEData

If Conv Is Nothing Then Exit Sub

Set DataObj = Conv.Request(txtItem.Text, 2000)
If DataObj Is Nothing Then
    txtData.Text = "The request for data failed"
Else
    txtData.Text = DataObj.DataString
End If

If AdviseKey <> DDECL1.FailedReturnString Then
    Call Conv.StopAdviseLoop(AdviseKey, 2000)
End If

AdviseKey = Conv.StartAdviseLoop(txtItem.Text, 2000)
If AdviseKey = DDECL1.FailedReturnString Then
    chkAdvise.Value = 0
    Exit Sub
End If

chkAdvise.Value = 1

End Sub

Private Sub chkAdvise_Click()
    If AdviseKey = DDECL1.FailedReturnString Then
        chkAdvise.Value = 0
    Else
        chkAdvise.Value = 1
    End If
End Sub

Private Sub DDECL1_DDEAdvise(ByVal ConvKey As String, Conv As DDCDem36.Conversation, _
        ByVal ItemKey As String, Advise As DDCDem36.AdviseLoop, Data As DDCDem36.DDEData)
    
    txtData.Text = Data.DataString
End Sub
Private Sub DDECL1_DDEDisconnect(ByVal ConvKey As String, Conv As DDCDem36.Conversation)

    Set Conv = Nothing
    ConvKey = DDECL1.FailedReturnString
    AdviseKey = DDECL1.FailedReturnString
    cbItem.Enabled = False
    MsgBox "The server has disconnected the conversation"
    
End Sub

Private Sub Form_Load()
    Call DDECL1.Initialise
    AdviseKey = DDECL1.FailedReturnString
    ConvKey = DDECL1.FailedReturnString
End Sub
Private Sub Form_Unload(Cancel As Integer)
    Call DDECL1.Uninitialise
End Sub
